Bug 457299 - keyboard freezes/locks up after pressing shift key for 10 seconds
Summary: keyboard freezes/locks up after pressing shift key for 10 seconds
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 9
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-30 19:07 UTC by Michael Best
Modified: 2018-04-11 06:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-31 03:17:24 UTC
Type: ---


Attachments (Terms of Use)
xorg configuration file (1.36 KB, application/octet-stream)
2008-07-30 22:12 UTC, Michael Best
no flags Details
xorg log /var/log/Xorg.0.log (22.31 KB, text/plain)
2008-07-30 22:12 UTC, Michael Best
no flags Details

Description Michael Best 2008-07-30 19:07:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.1) Gecko/2008070208 Firefox/3.0.1

Description of problem:
In X, if I hold down the left shift key for more than 10 seconds I can no longer enter any keyboard input.

I have tried running setxkbmap from a menu with the mouse, and I have tried restarting my window manager, but neither affects the keyboard fuction.

Logging out to the login screen, the keyboard resumes function.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Start X
2. Hold down shift key for 10 seconds


Actual Results:


Expected Results:


Additional info:

Comment 1 Matěj Cepl 2008-07-30 21:49:15 UTC
I also observe random freezing of the keyboard (I haven't found a recipe how to
certainly reproduce this, so I haven't filed it yet), but following your steps
doesn't reproduce this for me.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Michael Best 2008-07-30 22:12:09 UTC
Created attachment 313043 [details]
xorg configuration file

Comment 3 Michael Best 2008-07-30 22:12:47 UTC
Created attachment 313045 [details]
xorg log  /var/log/Xorg.0.log

Comment 4 Peter Hutterer 2008-07-31 00:40:53 UTC
It may be that you're activating SlowKeys (after 8 seconds). This sometimes
looks like the keyboard is unresponsive because you have to hold down each key
one second or so to actually make it generate an event.

Please open a terminal, hold shift until it happens, then keep pressing some
letter. Do the characters appear after a timeout?

If so - System, Hardware, Keyboard Preferences, Accessibility, untick "Allow to
turn accessibility features on and off from the keyboard".

Comment 5 Michael Best 2008-07-31 03:17:24 UTC
Yes, that seems to be what is affecting me.  Thanks.

Comment 6 tomi ollila 2009-01-16 12:44:52 UTC
This seems to be toggle (luckily, HUH! ;)

I have restarted my desktop twice today because of this. 

Even this is not a bug (but a feature) the users should be better
informed this may happen (and harder to set this feature on, I have
2 Fedora 10 machines which both suffer for this feature)

Well, next time I briefly start GNOME desktop to do this change.


Note You need to log in before you can comment on or make changes to this bug.